# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.appsforyourdomain.migration
Class MailItemService.Versions

    java.lang.Object
      com.google.gdata.client.appsforyourdomain.migration.MailItemService.Versions

Enclosing class:
  MailItemService

    public static class MailItemService.Versions

extends java.lang.Object

Field Summary
`static Version` `V1` Version 1 of the Email Migration API.
`static Version` `V2` Version 2 of the Email Migration API.

Constructor Summary
`MailItemService.Versions()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V1

    public static final Version V1

  Version 1 of the Email Migration API. This is the initial version of the API and is based upon Version 1 of the GData Protocol.

### V2

    public static final Version V2

  Version 2 of the Email Migration API. This version of the API adds full compliance with the Atom Publishing Protocol and is based upon Version 2 of the GData protocol.

Constructor Detail

### MailItemService.Versions

    public MailItemService.Versions()